HELP! Can't update YUM

I’m trying to update the YUM and unfortunately it is showing me this error:

==============================================
Setting up Update Process
Setting up repositories
http://software.virtualmin.com/gpl/rhel/5/i386/repodata/repomd.xml: [Errno 14] HTTP Error 401: Authorization Required
Trying other mirror.
Error: Cannot open/read repomd.xml file for repository: virtualmin

When i manually go into that particular address, it prompts me for a username/password. I don’t want to be locked into this without some sort of access to repo unless there was something in the docs that I missed …